Bug 150996 - Yum - Should try other mirrors when parse error found
Yum - Should try other mirrors when parse error found
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 13:39 EST by michael mastrangelo
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 13:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michael mastrangelo 2005-03-13 13:39:41 EST
Description of problem:
If there is a bad mirror and the repomd.xml is empty it should try one
of the other mirrors but it doesnt.

Version-Release number of selected component (if applicable):
yum-2.2.0-0.fc3

How reproducible:
well right now a livina mirror is acting up
so if you try now it will - if the mirror fixes...

Steps to Reproduce:
1.0 
here are my mirrors
baseurl=http://livna.cat.pdx.edu/fedora/$releasever/$basearch/RPMS.unstable

http://rpm.livna.org/fedora/$releasever/$basearch/RPMS.unstable  

2. they dont work (see error below
3. rearrange them like this
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/RPMS.unstable  

http://livna.cat.pdx.edu/fedora/$releasever/$basearch/RPMS.unstable

4. they work
  
Actual results:
//var/cache/yum/livna-unstable/repomd.xml:1: parser error : Document
is empty

^
//var/cache/yum/livna-unstable/repomd.xml:1: parser error : Start tag
expected,'<' not found

Expected results:
try the other mirror when repomd.xml is empty

Additional info:
Comment 1 Seth Vidal 2005-03-22 13:58:15 EST
please see:
http://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=415

Note You need to log in before you can comment on or make changes to this bug.